Skip to main content
POST
/
api
/
environments
/
beta
/
environments
/
{environmentId}
/
revisions
Create a Revision of an Environment
curl --request POST \
  --url https://api.example.com/api/environments/beta/environments/{environmentId}/revisions \
  --header 'Content-Type: application/json' \
  --header 'X-Domino-Api-Key: <api-key>' \
  --data '
{
  "dockerfileInstructions": "<string>",
  "environmentVariables": [
    {
      "key": "USERNAME",
      "value": "my_name"
    }
  ],
  "image": "<string>",
  "postRunScript": "<string>",
  "postSetupScript": "<string>",
  "preRunScript": "<string>",
  "preSetupScript": "<string>",
  "skipCache": true,
  "summary": "<string>",
  "supportedClusters": [],
  "tags": [
    "<string>"
  ],
  "useVpn": true,
  "workspaceTools": [
    {
      "name": "Jupyter",
      "startScripts": [
        "echo hello"
      ],
      "title": "Jupyter",
      "iconUrl": "/assets/images/workspace-logos/Jupyter.svg",
      "supportedFileExtensions": [
        ".ipynb"
      ]
    }
  ]
}
'
{
  "environmentRevision": {
    "availableTools": [
      {
        "name": "Jupyter",
        "startScripts": [
          "echo hello"
        ],
        "title": "Jupyter",
        "iconUrl": "/assets/images/workspace-logos/Jupyter.svg",
        "proxyConfig": {
          "internalPath": "/{{ownerUsername}}/{{projectName}}/{{sessionPathComponent}}/{{runId}}/{{#if pathToOpen}}tree/{{pathToOpen}}{{/if}}",
          "port": 8888,
          "requireSubdomain": false,
          "rewrite": false
        },
        "supportedFileExtensions": [
          ".ipynb"
        ]
      }
    ],
    "id": "62313cfd7a0af0281c01a6a6",
    "number": 4
  },
  "metadata": {
    "notices": [
      "<string>"
    ],
    "requestId": "<string>"
  }
}

Authorizations

X-Domino-Api-Key
string
header
required

Path Parameters

environmentId
string
required

Id of environment to create revision of

Body

application/json

Environment revision to create

dockerfileInstructions
string
environmentVariables
object[]
image
string

Environment revision image. Required for creating a new environment

postRunScript
string
postSetupScript
string
preRunScript
string
preSetupScript
string
skipCache
boolean
summary
string
supportedClusters
enum<string>[]

Type of compute cluster

Available options:
dask,
mpi,
ray,
slurm,
spark
tags
string[]
useVpn
boolean
workspaceTools
object[]

Response

Success

environmentRevision
object
required
metadata
object
required